RedBoot User's Guide
Prev |  | Next

# ping

## Name

ping -- Verify network connectivity

## Synopsis

ping [-v ] [-i `local_IP_address`] [-l `length`] [-n `count`] [-t `timeout`] [-r `rate`] {-h `server_IP_address`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-v | Boolean | Be verbose, displaying information about each packet sent. | quiet
-n `local_IP_address` | Number | Controls the number of packets to be sent. | 10
-i `local_IP_address` | Numeric IP or DNS name | The IP address RedBoot should use. | Value set by ip_address
-h `server_IP_address` | Numeric IP or DNS name | The IP address of the host to contact. | none
-l `length` | Number | The length of the ICMP data payload. | 64
-r `length` | Number | How fast to deliver packets, i.e. time between successive sends. A value of 0 sends packets as quickly as possible. | 1000ms (1 second)
-t `length` | Number | How long to wait for the round-trip to complete, specified in milliseconds. | 1000ms (1 second)

## Description

The ping command checks the connectivity of the local network by sending special (ICMP) packets to a specific host. These packets should be automatically returned by that host. The command will indicate how many of these round-trips were successfully completed.

## Examples

Test connectivity to host 192.168.1.101.

    RedBoot> ping -h 192.168.1.101
    Network PING - from 192.168.1.31 to 192.168.1.101
    PING - received 10 of 10 expected

Test connectivity to host 192.168.1.101, with verbose reporting.

    RedBoot> ping -h 192.168.1.101 -v -n 4
    Network PING - from 192.168.1.31 to 192.168.1.101
     seq: 1, time: 1 (ticks)
     seq: 2, time: 1 (ticks)
     seq: 3, time: 1 (ticks)
     seq: 4, time: 1 (ticks)
    PING - received 10 of 10 expected

    Test connectivity to a non-existent host (192.168.1.109).
    RedBoot> ping -h 192.168.1.109 -v -n 4
    PING: Cannot reach server '192.168.1.109' (192.168.1.109)

Prev | Home | Next
mfill | Up | reset